Bug 201838 - Attach with no project does not work
Attach with no project does not work
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
7.0.1
All All
: P2 (vote)
: 7.1
Assigned To: Egor Ushakov
issues@cnd
CR_7077657, 701patch2-verified, elif
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-08 15:41 UTC by Egor Ushakov
Modified: 2011-09-30 10:02 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2011-09-08 15:41:29 UTC
steps to reproduce:
- run on windows
- without any local toolchains
- without any local projects
- try to attach to the remote process
Comment 1 Vladimir Voskresensky 2011-09-09 14:30:51 UTC
patch candidates are P2s
Comment 2 Egor Ushakov 2011-09-16 11:08:20 UTC
not only for windows:
- select non default engine (e.g. gdb in studio)
- open attach window
- select pid
- select "no project"
Comment 3 Egor Ushakov 2011-09-16 11:11:07 UTC
fixed in cnd-main:
http://hg.netbeans.org/cnd-main/rev/e11794843524
Comment 4 Alexander Simon 2011-09-16 11:19:21 UTC
fix is correct and safe.
Comment 5 Egor Ushakov 2011-09-16 11:31:40 UTC
integrated into releases_elif
Comment 6 Egor Ushakov 2011-09-16 11:54:06 UTC
releases_elif/rev/dfa243b03931
Comment 7 Quality Engineering 2011-09-17 14:18:20 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/e11794843524
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #201838 (Attach with no project does not work)
Comment 8 dnikitin 2011-09-19 16:01:27 UTC
Verified in Build oss-platform-build-61
Comment 9 Quality Engineering 2011-09-26 13:32:28 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/dfa243b03931
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #201838 (Attach with no project does not work)
(transplanted from e11794843524ef857d567815e8c387d573714003)
Comment 10 soldatov 2011-09-29 13:05:16 UTC
first scenario fails if ~/.netbeans/remote directory is deleted
Comment 11 soldatov 2011-09-30 10:01:13 UTC
new bug is filed on latest scenario (issue 202873)
Comment 12 soldatov 2011-09-30 10:02:43 UTC
verified in NetBeans IDE 7.0.1 (Build 201109261118)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo